Plan de travail

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft SelectPlane and the translation is 100% complete.

Draft SelectPlane.png Plan de travail

Emplacement du menu
Draft → Utilitaires → Plan de travail
Ateliers
Draft Module
Raccourci par défaut
W P
Voir aussi
Draft SetWorkingPlaneProxy


Description

Le module Draft dispose d'un système de plan de travail qui vous permet d'indiquer un plan personnalisé dans l'espace 3D sur lequel la prochaine commande Draft aura lieu. Il existe plusieurs méthodes pour définir le plan de travail :

  • Depuis une face sélectionnée
  • Depuis la vue courante
  • Depuis 3 vecteurs sélectionnés
  • D'un préréglage : dessus, de face ou latéral.
  • Aucun, auquel cas le plan de travail est adapté automatiquement à l'affichage actuel lorsque vous lancez une commande, ou à une face si vous commencez à dessiner sur une face existante.

Workingplane example.jpg

Utilisation

  1. Pressez le bouton Draft SelectPlane.png Plan de travail. Si votre bouton ne ressemble pas à celui-ci, consultez cette note.

Options

  • Pour définir le plan de travail sur une géométrie existante : sélectionnez une face d'un objet existant dans la vue 3D ou, Disponible dans la version 0.17

, tenez la touche CTRL enfoncée, 3 vecteurs ou plusieurs objet(s). Puis appuyez sur le bouton Draft SelectPlane.pngPlan de travail.

  • Appuyez sur ​​la touche VUE pour définir le plan de travail de la vue plan, perpendiculairement à l'axe de la caméra en passant par le point d'origine (0,0,0).
  • Appuyer sur ​​la touche AUTO désactivera le plan de travail actuellement utilisé. Les prochaines opérations 2D seront dépendantes de la vue.
  • Vous pouvez également spécifier une valeur de décalage, ce qui placera votre plan de travail à la distance voulue par rapport au plan que vous sélectionnez.
  • Vous pouvez masquer et afficher la grille avec le raccourcis clavier GR

Script

L'objet plan de travail peut facilement être créé et manipulé dans les scripts et les macros. Vous pouvez créer vos propres plans de travail et les utiliser indépendamment du plan de travail courant.

Exemple :

import WorkingPlane
myPlane = WorkingPlane.plane() 

Vous pouvez également accéder au plan de travail du projet actuel :

import FreeCAD
draftPlane = FreeCAD.DraftWorkingPlane 

Pour déplacer ou faire pivoter le plan de travail (voir la page WorkingPlane API pour les méthodes disponibles) :

import FreeCAD
from FreeCAD import Vector
FreeCAD.DraftWorkingPlane.alignToPointAndAxis(Vector(0,0,0), Vector(1,1,1).normalize(), 17) 

(Note : une commande Draft doit avoir été émise pour que la grille adopte les changements)

Le plan de travail a sa propre scripting API complète, avec des fonctions de positionnement, de conversions et de déplacements à votre convenance.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe